from System.Windows import Point, Rect, Size

class PlayAreaItem(object):
    def __init__(self, ui_element, play_area):
        self.ui_element = ui_element
        self.play_area = play_area
        
    def get_play_rect(self):
        t = self.ui_element.TransformToVisual(self.play_area)
        return t.TransformBounds(
            Rect(
                0,
                0,
                self.ui_element.ActualWidth,
                self.ui_element.ActualHeight))