from System.Windows.Markup import XamlReader
from System.IO import MemoryStream, FileMode, FileStream
from System.IO import Directory, File, Path

from System.Text import UTF8Encoding

def load_xaml(filename):
    # This contain contains a huge hack because resources referenced in
    # XAML code can not yet contain relative paths. Therefore, we have
    # to append the base path to the URIs
    f = open(filename)
    xaml = f.read()
    f.close()
    
    basepath = Path.GetDirectoryName(__file__)

    utf8 = UTF8Encoding()
    element = XamlReader.Load(
        MemoryStream(utf8.GetBytes(xaml % {'basepath' : basepath})))

    return element